Skip to main content
GET
/
verifications
/
{id}
Get verification by ID
curl --request GET \
  --url https://api.anycheck.ai/verifications/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "KTP & PEP"
  },
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "api_key": null,
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "execution_time": 2.284,
  "status": "COMPLETED",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "input_config": {
    "verification_type": "KTP_SELFIE",
    "files": {
      "ktp_file": [
        "/uploads/ktp.jpg"
      ],
      "selfie_file": [
        "/uploads/selfie.jpg"
      ]
    },
    "fraud_detection": false
  },
  "input_file_url": {
    "ktp_file": [
      "https://example.com/files/ktp.jpg"
    ],
    "selfie_file": [
      "https://example.com/files/selfie.jpg"
    ]
  },
  "output": {
    "face_match_confidence_level": "LOW",
    "face_match_confidence_score": 2.284846674563825,
    "is_match_face": false
  },
  "output_file_url": "https://example.com/output.json",
  "output_status": "VERIFIED",
  "external_job_id": {
    "ocr_job_id": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "fraud_job_id": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  },
  "webhook_url": "https://your-app.com/webhook",
  "webhook_metadata": {},
  "export_file_url": "https://example.com/export.xlsx",
  "credit_used": 10,
  "total_files": 2,
  "total_pages": 5,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login endpoint.

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Path Parameters

id
string<uuid>
required

Verification ID

Response

Verification details

id
string<uuid>

Unique verification identifier

service
object
user_id
string<uuid> | null

User who created the verification

api_key
string | null

API key used for this verification

Example:

null

folder_id
string<uuid>

Folder containing this verification

result_id
string<uuid>

Result group identifier

execution_time
number<float>

Processing time in seconds

Example:

2.284

status
enum<string>

Current verification status

Available options:
DRAFT,
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELLED,
NEED_REVIEW,
FRAUD_DETECTED,
PARTIALLY_COMPLETED,
PARTIALLY_FAILED
Example:

"COMPLETED"

start_date
string<date-time> | null

Processing start time

end_date
string<date-time> | null

Processing end time

input_config
object

Service-specific input configuration

Example:
{
"verification_type": "KTP_SELFIE",
"files": {
"ktp_file": ["/uploads/ktp.jpg"],
"selfie_file": ["/uploads/selfie.jpg"]
},
"fraud_detection": false
}
input_file_url
object

URLs of input files organized by file type

Example:
{
"ktp_file": ["https://example.com/files/ktp.jpg"],
"selfie_file": ["https://example.com/files/selfie.jpg"]
}
output
object

Verification results and extracted data

Example:
{
"face_match_confidence_level": "LOW",
"face_match_confidence_score": 2.284846674563825,
"is_match_face": false
}
output_file_url
string<uri> | null

URL to download detailed results

Example:

"https://example.com/output.json"

output_status
enum<string> | null

Overall verification result status

Available options:
VERIFIED,
NOT_VERIFIED,
PARTIALLY_NOT_VERIFIED
external_job_id
object

External processing job identifiers

webhook_url
string<uri> | null

Webhook URL for notifications

Example:

"https://your-app.com/webhook"

webhook_metadata
object

Custom metadata for webhook

export_file_url
string<uri> | null

URL to download exported results

Example:

"https://example.com/export.xlsx"

credit_used
integer

Credits consumed by this verification

Example:

10

total_files
integer

Number of files processed

Example:

2

total_pages
integer

Number of pages processed

Example:

5

created_at
string<date-time>

Verification creation timestamp

updated_at
string<date-time>

Last update timestamp